#大唐部署环境
#============================nacos配置=========================================
spring.cloud.nacos.config.server-addr = 127.0.0.1:8848
spring.cloud.nacos.config.namespace = 625e87f5-ead5-4867-8aa5-cb855949b2a3
spring.cloud.nacos.config.name=application.properties
spring.cloud.nacos.config.group = @profiles.active@
spring.cloud.nacos.config.extension-configs[0].data-id=analysis_type_config.properties
spring.cloud.nacos.config.extension-configs[0].group=DEFAULT_GROUP
spring.cloud.nacos.config.extension-configs[0].refresh=true


#============================mybatis配置=========================================
#扫描mapper.xml
mybatis.mapper-locations = classpath*:mybatis/**/*.xml
mybatis.type-aliases-package = com.energy.manage.common.po
mybatis.configuration.mapUnderscoreToCamelCase = true
#sql打印
mybatis.configuration.log-impl = org.apache.ibatis.logging.stdout.StdOutImpl
#mappers 多个接口时逗号隔开
mapper.mappers = com.energy.manage.common.mapper.MyMapper
mapper.not-empty =false
mapper.identity = MYSQL
#分页
pagehelper.helperDialect = mysql
pagehelper.reasonable = true
pagehelper.supportMethodsArguments = true

#============================swagger配置=========================================
#http://localhost:16200/energy-manage-service/doc.html
knife4j.enable=true

#============================文件上传配置=========================================
# 自定义配置文件上传
spring.servlet.multipart.enabled = true
spring.servlet.multipart.max-file-size = 314572800
spring.servlet.multipart.max-request-size= 1048576000

#============================json配置=========================================
# 全局时间格式转化
#spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
#spring.jackson.time-zone=GMT+8
spring.jackson.date-format = yyyy-MM-dd HH:mm
spring.jackson.time-zone= GMT+8
spring.jackson.serialization.write-dates-as-timestamps=true

#============================登录拦截器配置=========================================
#拦截器是否生效
energy.login.enabled=true


